dnsjit.core.receiver(3)

NAME
dnsjit.core.receiver - Non-system depended time specification structure definition

SYNOPSIS
  typedef struct core_timespec {
      int64_t sec;
      int64_t nsec;
  } core_timespec_t;

  C
  #include "core/timespec.h"

  Lua
  require("dnsjit.core.timespec_h")

  Lua functions
  local ts = require("dnsjit.core.timespec"):max_init()

DESCRIPTION
Mainly used in C modules for a system independent time specification structure that can be passed to Lua.

  Functions

Timespec:max_init()
    Return a new structure with both sec and nsec set to 2LL ^ 62, the maximum positive values according to Lua.

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net